package com.xugame;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.RelativeLayout;

import androidx.annotation.Nullable;

import com.xugame.gameconsole.Test1Activity;
import com.xugame.gameconsole.Test2Activity;
import com.xugame.gameconsole.util.DebugUtil;

public class Test3Activity extends Activity {
    RelativeLayout layout;
    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        layout=new RelativeLayout(this);
        setContentView(layout);
        layout.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intent=new Intent(Test3Activity.this, Test1Activity.class);
                intent.addFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP|Intent.FLAG_ACTIVITY_NEW_TASK);
                startActivity(intent);
            }
        });
    }

    @Override
    protected void onDestroy() {
        DebugUtil.i("EMULATORTAG","第三 onDestroy");
        super.onDestroy();
    }
}
